From 78c1e6b761bd7b3f43435a2e32f2d08f50f2e2d6 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Aug 27 2020 05:05:49 +0000
Subject: [PATCH 693/2232] Resolve 'Failed to specialize function template' MSVC error


Before:

    src/cxx.cc(295): error C2893: Failed to specialize function template 'void rust::cxxbridge03::panic(const char *)'
    D:\a\cxx\cxx\src\../include/cxx.h(287): note: see declaration of 'rust::cxxbridge03::panic'
    src/cxx.cc(295): note: With the following template arguments:
    src/cxx.cc(295): note: 'Exception=std::out_of_range'

---

diff --git a/src/cxx.cc b/src/cxx.cc
index 0fa55b2..2d2349d 100644
--- a/src/cxx.cc
+++ b/src/cxx.cc
@@ -42,7 +42,7 @@ void panic [[noreturn]] (const char *msg) {
 #endif
 }
 
-template void panic<std::out_of_range>(const char *msg);
+template void panic<std::out_of_range> [[noreturn]] (const char *msg);
 
 String::String() noexcept { cxxbridge03$string$new(this); }
 

